## ide-back-forward-item ide-back-forward-item |

## Functions

#define | IDE_TYPE_BACK_FORWARD_ITEM
IdeBackForwardItem * | ide_back_forward_item_new ()
IdeSourceLocation * | ide_back_forward_item_get_location ()
gboolean | ide_back_forward_item_chain ()

## Properties

IdeSourceLocation * | location | Read / Write / Construct Only

## Types and Values

| IdeBackForwardItem

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeBackForwardItem

## Description

## Functions

### IDE_TYPE_BACK_FORWARD_ITEM

    #define IDE_TYPE_BACK_FORWARD_ITEM (ide_back_forward_item_get_type())

### ide_back_forward_item_new ()

    IdeBackForwardItem *
    ide_back_forward_item_new (IdeContext *context,
                               IdeSourceLocation *location);

### ide_back_forward_item_get_location ()

    IdeSourceLocation *
    ide_back_forward_item_get_location (IdeBackForwardItem *self);

### ide_back_forward_item_chain ()

    gboolean
    ide_back_forward_item_chain (IdeBackForwardItem *self,
                                 IdeBackForwardItem *other);

## Types and Values

### IdeBackForwardItem

    typedef struct _IdeBackForwardItem IdeBackForwardItem;

## Property Details

### The `“location”` property

      “location”                 IdeSourceLocation *

The “location” property contains the location within a source file to navigate to.

Flags: Read / Write / Construct Only